[pango] Use autoreconf instead gnome-autogen.sh
- From: Javier Jardón <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [pango] Use autoreconf instead gnome-autogen.sh
- Date: Tue, 2 Nov 2010 00:58:56 +0000 (UTC)
commit c06264ae25218dd72a70bf5eb93d552f2763f9aa
Author: Javier Jardón <jjardon gnome org>
Date: Tue Oct 26 18:22:03 2010 +0200
Use autoreconf instead gnome-autogen.sh
Fixed https://bugzilla.gnome.org/show_bug.cgi?id=633208
autogen.sh | 38 +++++++++++++++++++++-----------------
1 files changed, 21 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index e8a3cf7..0c99021 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,28 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-REQUIRED_AUTOMAKE_VERSION=1.9
+olddir=`pwd`
+cd "$srcdir"
-PKG_NAME="pango"
-#REQUIRED_M4MACROS=introspection.m4
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
+else
+ gtkdocize || exit $?
+fi
-(test -f $srcdir/configure.in \
- && test -f $srcdir/README \
- && test -d $srcdir/pango) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
-}
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+else
+ autoreconf --force --install || exit $?
+fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME SVN"
- exit 1
-}
-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
+
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]